# getClusterNodes

Returns information about all the nodes participating in the cluster.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

None.

## Returns

* `featureSet`. The unique identifier of the node's feature set.
* `gossip`. The gossip network address for the node.
* `pubkey`. The public key of the node encoded as base-58 string.
* `rpc`. The IP address and port number of the node's JSON-RPC service. Null if the JSON RPC service is not enabled.
* `shredVersion`. The version of the data structure used by this node to store and transmit blocks.
* `tpu`. The TPU network address for the node.
* `version`. The software version of the node. Null if the version information is not available.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [
		{
			"featureSet": 3039680930,
			"gossip": "84.32.71.185:8000",
			"pubkey": "HnnWuaRUp63oBLNbxpo5wjAuazp2ukobyUvGsvMKX85d",
			"pubsub": null,
			"rpc": null,
			"serveRepair": "84.32.71.185:8011",
			"shredVersion": 50093,
			"tpu": "84.32.71.185:8003",
			"tpuForwards": "84.32.71.185:8004",
			"tpuForwardsQuic": "84.32.71.185:8010",
			"tpuQuic": "84.32.71.185:8009",
			"tpuVote": "84.32.71.185:8005",
			"tvu": "84.32.71.185:8001",
			"version": "2.1.11"
		},
		...
	],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "id":1, "method":"getClusterNodes"}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "id":1, "method":"getClusterNodes"}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getclusternodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
